org.apache.olingo.server.api.processor

## Interface PrimitiveProcessor

- All Superinterfaces:
    Processor
  All Known Subinterfaces:
    PrimitiveValueProcessor

      public interface PrimitiveProcessor
      extends Processor

  Processor interface for handling an instance of a primitive type, e.g., a primitive property of an entity.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deletePrimitive(ODataRequest request, ODataResponse response, UriInfo uriInfo)` Deletes primitive-type value from an entity and puts the status into the response.
    `void` | `readPrimitive(ODataRequest request, ODataResponse response, UriInfo uriInfo, ContentType responseFormat)` Reads primitive-type instance.
    `void` | `updatePrimitive(ODataRequest request, ODataResponse response, UriInfo uriInfo, ContentType requestFormat, ContentType responseFormat)` Update primitive-type instance with send data in the persistence and puts content, status, and Location into the response.

    - ### Methods inherited from interface org.apache.olingo.server.api.processor.Processor

      `init`

- - ### Method Detail

    - #### readPrimitive

          void readPrimitive(ODataRequest request,
                             ODataResponse response,
                             UriInfo uriInfo,
                             ContentType responseFormat)
                      throws ODataApplicationException,
                             ODataLibraryException

      Reads primitive-type instance. If its value is `null`, the service responds with 204 No Content. If it is not available, for example due to permissions, the service responds with 404 Not Found.
      Parameters:
        `request` - OData request object containing raw HTTP information
        `response` - OData response object for collecting response data
        `uriInfo` - information of a parsed OData URI
        `responseFormat` - requested content type after content negotiation
      Throws:
        `ODataApplicationException` - if the service implementation encounters a failure
        `ODataLibraryException`

    - #### updatePrimitive

          void updatePrimitive(ODataRequest request,
                               ODataResponse response,
                               UriInfo uriInfo,
                               ContentType requestFormat,
                               ContentType responseFormat)
                        throws ODataApplicationException,
                               ODataLibraryException

      Update primitive-type instance with send data in the persistence and puts content, status, and Location into the response.
      Parameters:
        `request` - OData request object containing raw HTTP information
        `response` - OData response object for collecting response data
        `uriInfo` - information of a parsed OData URI
        `requestFormat` - content type of body sent with request
        `responseFormat` - requested content type after content negotiation
      Throws:
        `ODataApplicationException` - if the service implementation encounters a failure
        `ODataLibraryException`

    - #### deletePrimitive

          void deletePrimitive(ODataRequest request,
                               ODataResponse response,
                               UriInfo uriInfo)
                        throws ODataApplicationException,
                               ODataLibraryException

      Deletes primitive-type value from an entity and puts the status into the response. Deletion for primitive-type values is equal to set the value to `NULL` (see chapter "11.4.9.2 Set a Value to Null")
      Parameters:
        `request` - OData request object containing raw HTTP information
        `response` - OData response object for collecting response data
        `uriInfo` - information of a parsed OData URI
      Throws:
        `ODataApplicationException` - if the service implementation encounters a failure
        `ODataLibraryException`

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.